# Enable LTO
%global optflags        %{optflags} -flto
%global build_ldflags   %{build_ldflags} -flto

%global commit      cec3540046f0cd9dce90637382e757efbc401ca4
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date        20191001

Name:           wayfire
Version:        0.2
Release:        8.%{date}git%{shortcommit}%{?dist}
Summary:        3D wayland compositor

License:        MIT
URL:            https://github.com/WayfireWM/wayfire
Source0:        %{url}/archive/%{commit}/%{name}-%{version}.%{date}git%{shortcommit}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  inotify-tools-devel
BuildRequires:  libevdev-devel
BuildRequires:  meson >= 0.43.0
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(glm)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libinput) >= 1.7.0
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.12
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wf-config)
BuildRequires:  pkgconfig(wlroots)
BuildRequires:  pkgconfig(xkbcommon)
Recommends:     wayfire-config-manager%{?_isa}
Recommends:     wf-shell%{?_isa}

%description
Wayfire is a wayland compositor based on wlroots. It aims to create a
customizable, extendable and lightweight environment without sacrificing its
appearance.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Development files for %{name}.


%prep
%autosetup -p1 -n %{name}-%{commit}


%build
%meson
%meson_build


%install
%meson_install
install -Dpm0644 wayfire.desktop %{buildroot}%{_datadir}/wayland-sessions/%{name}.desktop


%files
%license LICENSE
%doc README.md wayfire.ini.default
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/wayland-sessions/*.desktop
# FIXME
%{_prefix}/lib/%{name}

%files devel
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}


%changelog
* Tue Oct 01 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2-8.20191001gitcec3540
- Update to latest git snapshot

* Thu Sep 26 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2-6.20190510git5b91b87
- Unbundle 'wf-config'

* Thu Sep 26 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2-2.20190510git5b91b87
- Initial package
